<?php

$val = get_row_by_field("settings", "name", "currency")["value"];
$payment_system = get_column("payment_system", "name", "`status` = " . escape_db("on"));
$data = get_list("pay_methods", "status = " . escape_db("on"));
foreach ($data as $item) {
    $GLOBALS[$item["name"]] = trim($item["value"]);
}
/*$data = @file_get_contents(LICENSE_FILE);
if (!$data || hash("sha256", @filemtime(LICENSE_FILE) . "BrvFRnHyWMatCMtx8997Ufg9l3ekWgkZ") != $data || 86400 < time() - @filemtime(LICENSE_FILE)) {
    $res = file_get_contents(LICENSE_URL . http_build_query(array("domain" => getenv("SERVER_NAME"))));
    $res = @json_decode($res, true);
    if (!isset($res) || NULL === $res || $res["error"]) {
        echo "<b style='color: red; font-weight: bold;'>";
        echo "Оплатите лицензию, для использования этого сайта \"" . getenv("SERVER_NAME") . "\". <a href=\"http://hyiplicense.xyz/order/?domain=" . getenv("SERVER_NAME") . "\" target=\"_blank\">здесь</a>";
        echo "</b>";
        exit;
    }
    file_put_contents(LICENSE_FILE, hash("sha256", time() . "BrvFRnHyWMatCMtx8997Ufg9l3ekWgkZ"));
}*/
$block_io_version = 2;
$block_io_base_url = request_get_protocol() . $_SERVER["SERVER_NAME"] . "/pay/blockio/";
$block_io_status_url = $block_io_base_url . "index.php";
$block_io_success_url = $block_io_base_url . "success.php";
$block_io_fail_url = $block_io_base_url . "fail.php";
$btcpayme_base_url = request_get_protocol() . $_SERVER["SERVER_NAME"] . "/pay/btcpayme/";
$btcpayme_status_url = $btcpayme_base_url . "index.php";
$btcpayme_success_url = $btcpayme_base_url . "success.php";
$btcpayme_fail_url = $btcpayme_base_url . "fail.php";
$yandexmoney_base_url = request_get_protocol() . $_SERVER["SERVER_NAME"] . "/pay/yandexmoney/";
$yandexmoney_status_url = $yandexmoney_base_url . "index.php";
$yandexmoney_success_url = $yandexmoney_base_url . "success.php";
$yandexmoney_fail_url = $yandexmoney_base_url . "fail.php";
$okpay_base_url = request_get_protocol() . $_SERVER["SERVER_NAME"] . "/pay/okpay/";
$okpay_status_url = $okpay_base_url . "index.php";
$okpay_success_url = $okpay_base_url . "success.php";
$okpay_fail_url = $okpay_base_url . "fail.php";
$perfectmoney_base_url = request_get_protocol() . $_SERVER["SERVER_NAME"] . "/pay/perfectmoney/";
$perfectmoney_status_url = $perfectmoney_base_url . "index.php";
$perfectmoney_success_url = $perfectmoney_base_url . "success.php";
$perfectmoney_fail_url = $perfectmoney_base_url . "fail.php";
$nixmoney_base_url = request_get_protocol() . $_SERVER["SERVER_NAME"] . "/pay/nixmoney/";
$nixmoney_status_url = $nixmoney_base_url . "index.php";
$nixmoney_success_url = $nixmoney_base_url . "success.php";
$nixmoney_fail_url = $nixmoney_base_url . "fail.php";

?>